Search documentation of ash

# Ash.Notifier behaviour (ash v3.4.71)

View Source

A notifier is an extension that receives various events

# Summary

## Callbacks

notify(t)
requires_original_data?(t, action)

## Functions

notify(resource_notifications)

Sends any notifications that can be sent, and returns the rest.

# Callbacks

# notify(t)

    @callback notify(Ash.Notifier.Notification.t()) :: :ok

# requires_original_data?(t, action)

    @callback requires_original_data?(Ash.Resource.t(), Ash.Resource.Actions.action()) ::
      boolean()

# Functions

# notify(resource_notifications)

    @spec notify([Ash.Notifier.Notification.t()] | Ash.Notifier.Notification.t()) :: [
      Ash.Notifier.Notification.t()
    ]

Sends any notifications that can be sent, and returns the rest.

A notification can only be sent if you are not currently in a transaction for the resource in question.